server:
  port: 8080

eureka:
  instance:
    prefer-ip-address: true #是否优先使用IP地址作为主机名的标识，默认false
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.name}:${server.port} #注册到eureka上的唯一实例ID
    lease-renewal-interval-in-seconds: 10 #表示eureka client发送心跳给server端的频率，默认30
    lease-expiration-duration-in-seconds: 30 #表示eureka server至上一次收到client的心跳之后，等待下一次心跳的超时时间，在这个时间内若没收到下一次心跳，则将移除该instance，默认90
  client:
    registry-fetch-interval-seconds: 5  #定时从Eureka Server拉取服务注册信息的间隔时间
    serviceUrl:
      defaultZone: http://deveureka-internal.piaoquantv.com/eureka/

spring:
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://rm-bp1k5853td1r25g3n690.mysql.rds.aliyuncs.com:3306/longvideo?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull
    username: wx2016_longvideo
    password: wx2016_longvideoP@assword1234
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 10
      maximum-pool-size: 20
      connection-test-query: SELECT 1

  redis:
    hostName: r-bp1ps6my7lzg8rdhwx682.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0

xxl:
  job:
    admin:
      addresses: http://127.0.0.1/xxl-job-admin
    accessToken:
    executor:
      appname: ${spring.application.name}
      address:
      ip:
      port: 9999
      logpath: /datalog/weblog/${spring.application.name}/xxl-job/
      logretentiondays: 30

apollo:
  meta: http://devapolloconfig-internal.piaoquantv.com

aliyun:
  log:
    endpoint: cn-hangzhou.log.aliyuncs.com
    accessKeyId: LTAIP6x1l3DXfSxm
    accessKeySecret: KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
    project: recommend-server-test